cara mengatasi error pada saat instal laravel

saya mengalami kesulitan pada saat instal laravel lewat composer dan disini saya sudah menggunakan php versi 7.4. menampilkan pesan error [InvalidArgumentException]
  Could not find package laravel/laravel with stability stable.

Begitu jga dengan codeigniter menampilkan pesan kesalahan yg samaScreenshot-674.pngScreenshot (674).pngScreenshot-675.pngScreenshot (675).png
avatar putraprasetyo_google

@putraprasetyo_google

1 Kontribusi 0 Poin

  • gambar yang kamu upload tidak bisa dibaca - @hilmanski


Jawaban

Coba pakai PHP versi 7.3
Sebelumnya saya mengalami hal yang sama, setelah saya ganti menggunakan PHP 7.3 error saat install ralavel sudah tidak terjadi.
avatar rigelariful_google

@rigelariful_google

3 Kontribusi 0 Poin


1. coba jalankan diagnosa pada composer
> composer diagnose

2. saya pernah mengalami hal yang sama karena penggunaan proxy, untuk problem solvingnya..
Pergi ke "environment variables" kemudian cari "http_proxy" atau "https_proxy", jika ada langsung hapus.
avatar hairullana

@hairullana

1 Kontribusi 0 Poin


Login untuk gabung berdiskusi
premium logo tube

Hey, sedang ada diskon premium untuk akses semua kelas. Lihat di sini